# Prevent generation of debuginfo-related files not in package MANIFEST
%global debug_package %{nil}

Name:		perl-Perl-Critic-Deprecated
Version:	1.119
Release:	11%{?dist}
Summary:	Perl::Critic policies that have been superseded by others
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Perl-Critic-Deprecated
Source0:	http://cpan.metacpan.org/authors/id/T/TH/THALJEF/Perl-Critic-Deprecated-%{version}.tar.gz
Patch0:		Perl-Critic-Deprecated-1.119-stopwords.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(English)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(Perl::Critic::Policy) >= 1.094
BuildRequires:	perl(Perl::Critic::Utils) >= 1.094
BuildRequires:	perl(PPI::Node)
BuildRequires:	perl(Readonly)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Perl::Critic::TestUtils) >= 1.094
BuildRequires:	perl(Test::More)
BuildRequires:	perl(version)
# Extra Tests
BuildRequires:	aspell-en
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(Test::Distribution)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Perl::Critic::Policy) >= 1.094
Requires:	perl(Perl::Critic::Utils) >= 1.094

# Filter underspecified dependencies
%global __requires_exclude ^perl\\(Perl::Critic::(Policy|Utils)\\)$

%description
Some Perl::Critic policies and modules have had their functionality superseded
by others and thus merely slow things down when analyzing code. They are put
here in case anyone still wants/needs to use them.

%prep
%setup -q -n Perl-Critic-Deprecated-%{version}

# Add some stopwords for the spell checking test
%patch0

# Remove date-sensitive copyright.t, which also upsets Perl::Critic
# (#1139503)
rm xt/author/copyright.t
sed -i -e '/copyright\.t/d' MANIFEST

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test
LANG=en_US ./Build test --test_files="$(echo $(find xt/ -name '*.t'))"

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Perl/
%{_mandir}/man3/Perl::Critic::Deprecated.3*
%{_mandir}/man3/Perl::Critic::Policy::Miscellanea::RequireRcsKeywords.3*
%{_mandir}/man3/Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs.3*
%{_mandir}/man3/Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseVars.3*
%{_mandir}/man3/Perl::Critic::Utils::PPIRegexp.3*

%changelog
* Tue Apr 17 2018 Paul Howarth <paul@city-fan.org> - 1.119-11
- Add some stopwords for the spell checking test
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Tue Sep 20 2016 Paul Howarth <paul@city-fan.org> - 1.119-7
- BR: perl-generators where available

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 1.119-3
- Avoid copyright.t, which is date-sensitive and upsets Perl::Critic too
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Tue Oct 29 2013 Paul Howarth <paul@city-fan.org> - 1.119-1
- Update to 1.119
  - Ship a LICENSE file
  - Mention Miscellanea::RequireRcsKeywords in the documentation for
    Perl::Critic::Deprecated (CPAN RT#89840)

* Tue Oct 29 2013 Paul Howarth <paul@city-fan.org> - 1.118-1
- Import from Fedora
- Update to 1.118

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.108-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Pisar <ppisar@redhat.com> - 1.108-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.108-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.108-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1.108-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.108-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 1.108-3
- RPM 4.9 dependency filtering added

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.108-2
- Perl mass rebuild

* Wed Mar 02 2011 Petr Pisar <ppisar@redhat.com> - 1.108-1
- Specfile autogenerated by cpanspec 1.78
- Summary shortened
- Remove BuildRoot stuff
